List the account's budget policies

1 min readEdit this page
GET
/v1/namespaces/{nsid}/budgets

Typed list of kind = 'budget' rows. Same storage as /v1/policies?kind=budget but the response carries flat budget objects instead of { kind, spec } envelopes.

Requires the policy:read scope.

Authorization

x-api-key<token>

Anthropic-style API key header.

In: header

Path Parameters

nsid*string

Id of the target namespace. Must be owned by the caller (or equal a namespace-baked credential's own namespace), else 404.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/namespaces/string/budgets"
{  "data": [    {      "disabled_at": "2019-08-24T14:15:22Z",      "id": "string",      "limit_micro_usd": 0,      "name": "string",      "window": "day"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}

How is this guide?